Add a topic subscription to an existing webhook listener.
Add Webhook Topic Subscription
post
/api/webhook-listeners/{listenerId}/subscribe Request
Path Parameters
listenerIdstringrequiredId for the Webhook Listener
Body application/json
topicstringrequiredThe topic the Webhook Listener will subscribe to.
Response
Successful operation.
Body application/json
idstringrequiredThe unique identifier for the topic subscription.
topicstringrequiredThe topic to which the webhook listener is subscribed.
listenerIdstringrequiredThe id of the webhook listener associated with this subscription.
accountIdstringrequiredThe id of the partner account associated with this subscription.
createdAtstringrequiredThe timestamp when the topic subscription was created.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
ACCOUNT_TYPE_INVALID accountType of the accountId is not of type PARTNER.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring